---
features:
  primary:
    - name: Smarter Git packfile reuse
      available_in:
        - core
        - starter
        - premium
        - ultimate
      gitlab_com: true
      documentation_link: https://public-inbox.org/git/20191218112547.4974-1-chriscool@tuxfamily.org/
      reporter: jramsay
      stage: create
      categories:
        - Gitaly
      issue_url: https://gitlab.com/gitlab-org/git/issues/7
      description: |
        In GitLab 12.8, we are including a patched version of Git 2.24 in
        GitLab Omnibus with improvements to Git packfile reuse.

        When a client fetches or clones, it is more efficient for the server to
        respond by reusing existing packfiles as much as possible. The
        improvements implement a new smarter algorithm for reusing packfiles
        that makes a better compromise between the cost to serve a clone or a
        fetch, and the quality of the resulting packfile.

        Thank you [Peff](https://github.com/peff/) and GitHub for sharing this
        improvement, and Jonathan Tan (Google) for your help reviewing! We hope
        the
        [patches](https://public-inbox.org/git/20191218112547.4974-1-chriscool@tuxfamily.org/)
        will land in Git 2.26.
